﻿@model PagedList.IPagedList<Cdio447.Areas.Admin.Models.payinto_histories_View>
@using PagedList.Mvc;
@{
    ViewBag.Title = "Lịch sử nạp tiền";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
<div class="form-row align-items-center mb-1">
    <div class="col-12 col-lg-auto">
        <input type="button" class="btn btn_template" value="Lịch sử nạp tiền" onclick="location.href='@Url.Action("Recharge","TransactionHistory")'" />
    </div>
    <div class="col-12 col-lg-auto">
        <input type="button" class="btn btn_template" value="Lịch sử rút tiền" onclick="location.href='@Url.Action("Withdrawl","TransactionHistory")'" />
    </div>
</div>
<div class="box-title-section">
    <h1 class="m-0">Danh sách giao dịch nạp tiền</h1>
</div>
@using (Html.BeginForm("Withdrawl", "TransactionHistory", FormMethod.Get))
{
    <div class="form-row align-items-center mb-1">
        <div class="col-12 col-lg-auto">
            <input type="text" value="@ViewBag.SearchString" class="form-control" name="searchString" placeholder="Nhập tên user" />
        </div>
        <div class="col-12 col-lg-auto">
            <button class="btn btn-primary" type="submit" id="btnSearch">Tìm kiếm</button>
        </div>
    </div>
}
<div class="table-box">
    <table class="table table-bordered">
        <thead>
            <tr>
                <th>
                    User
                </th>
                <th>
                    Ngân hàng
                </th>
                <th>
                    Số tiền nạp
                </th>
                <th>
                    Mã giao dịch
                </th>
                <th>
                    Ngày thực hiện
                </th>
            </tr>
        </thead>

        <tbody id="tblData">
            @foreach (var item in Model)
            {
                <tr>
                    <td>@item.user_name</td>
                    <td>@item.bank</td>
                    <td>@item.amount</td>
                    <td>@item.oder_code</td>
                    <td>@item.created_at</td>
                </tr>
            }
        </tbody>
    </table>
    <div>
        @Html.PagedListPager(Model, page => Url.Action("Withdrawl", new { page, @searchString = @ViewBag.SearchString, @status = @ViewBag.status }))
    </div>
</div>